Package com.google.android.exoplayer2.transformer

## Interface EncoderSelector

-     public interface EncoderSelector

  Selector of `MediaCodec` encoder instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static EncoderSelector` | `DEFAULT` | Default implementation of `EncoderSelector`, which returns the preferred encoders for the given `MIME type`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ImmutableList<MediaCodecInfo>` | `selectEncoderInfos​(String mimeType)` | Returns a list of encoders that can encode media in the specified `mimeType`, in priority order.

- - ### Field Detail

    - #### DEFAULT

          static final EncoderSelector DEFAULT

      Default implementation of `EncoderSelector`, which returns the preferred encoders for the given `MIME type`.

  - ### Method Detail

    - #### selectEncoderInfos

          ImmutableList<MediaCodecInfo> selectEncoderInfos​(String mimeType)

      Returns a list of encoders that can encode media in the specified `mimeType`, in priority order.
      Parameters:
        `mimeType` - The MIME type for which an encoder is required.
      Returns:
        An immutable list of encoders that support the `mimeType`. The list may be empty.